  CREATE TABLE [CHANGEME].ParkingLot (
    lotID INT UNSIGNED NOT NULL AUTO_INCREMENT,
    name VARCHAR(100) NOT NULL,
    latitude FLOAT(10, 6) NOT NULL,
    longitude FLOAT(10, 6) NOT NULL,
    usedStalls SMALLINT UNSIGNED NOT NULL,
    timeCountUpdated DATETIME,
    PRIMARY KEY (lotID),
    UNIQUE(name)
  );

  CREATE TABLE [CHANGEME].Pass (
    passID INT UNSIGNED NOT NULL AUTO_INCREMENT,
    shortName VARCHAR(2) NOT NULL,
    name VARCHAR(50) NOT NULL,
    PRIMARY KEY (passID),
    UNIQUE (shortName),
    UNIQUE (name)
  );

  CREATE TABLE [CHANGEME].AcceptedPass (
    accPassID INT UNSIGNED NOT NULL AUTO_INCREMENT,
    lotID INT UNSIGNED NOT NULL,
    passID INT UNSIGNED NOT NULL,
    allottedStalls SMALLINT NOT NULL,
    FOREIGN KEY (lotID) REFERENCES [CHANGEME].ParkingLot(lotID) ON DELETE CASCADE,
    FOREIGN KEY (passID) REFERENCES [CHANGEME].Pass(passID) ON DELETE CASCADE,
    PRIMARY KEY (accPassID),
    UNIQUE(lotID, passID)
  );

  CREATE TABLE [CHANGEME].EntranceExit (
    enID INT UNSIGNED NOT NULL AUTO_INCREMENT,
    lotID INT UNSIGNED NOT NULL,
    latitude FLOAT(10, 6) NOT NULL,
    longitude FLOAT(10, 6) NOT NULL,
    PRIMARY KEY (enID),
    FOREIGN KEY (lotID) REFERENCES [CHANGEME].ParkingLot(lotID) ON DELETE CASCADE
  );


  CREATE TABLE [CHANGEME].CvImageSensor (
    sensorID INT UNSIGNED NOT NULL AUTO_INCREMENT,
    enID INT UNSIGNED,
    timeLastUpdate DATETIME,
    isEntranceSide BOOL NOT NULL,
    imageURL VARCHAR(200),
    imageTime DATETIME,
    userID BIGINT not null,
    PRIMARY KEY (sensorID),
    FOREIGN KEY (enID) REFERENCES [CHANGEME].EntranceExit(enID) ON DELETE SET NULL,
    FOREIGN key(userID) REFERENCES [CHANGEME].api_user(id), -- This connects the userID to django auth user's id in api module
    UNIQUE (enID, userID)
  );
