import csv

MANUAL_ENEX_LOCS = "../../lot_data_spreadsheets/manual-entrance-exit-locations.csv"

def get_enex_locations():
    """return a dictionary of lot_number -> [(lat, long)...]"""
    lot_num_to_enex_loc = {}

    with open(MANUAL_ENEX_LOCS) as f:
            reader = csv.reader(f)
            for row in reader:
                try:
                    lot_num = int(row[2])
                    lat, lon = float(row[3]), float(row[4])
                    if lot_num in lot_num_to_enex_loc:
                        lot_num_to_enex_loc[lot_num].append((lat, lon))
                    else:
                        lot_num_to_enex_loc[lot_num] = [(lat, lon)]
                except ValueError:
                    continue
    
    return lot_num_to_enex_loc

                
