import json
import csv
from os.path import exists

LOT_GEOJSON = "../../lot_data_spreadsheets/lots.geojson"

def get_lot_locations():
    """return a dictionary of lot_number -> (lat, long)"""
    lot_num_to_location = {}

    with open(LOT_GEOJSON) as f:
        lot_geojson = json.load(f)
        
        for feature in lot_geojson["features"]:
            lot_num = int(feature["properties"]["PLOT"])
            first_coord = feature["geometry"]["coordinates"][0][0]
            lat, lon = first_coord[1], first_coord[0]
            lot_num_to_location[lot_num] = (lat, lon)
      
        for k in lot_num_to_location:
            if not isinstance(lot_num_to_location[k][0], float):
                lot_num_to_location[k] = tuple(lot_num_to_location[k][0])
                if int(lot_num_to_location[k][0]) < 30:
                    lot_num_to_location[k] = (lot_num_to_location[k][1], lot_num_to_location[k][0])
    

    return lot_num_to_location
