import React from "react";
import { BrowserRouter as Router, Switch, Route, Redirect } from "react-router-dom";
import UserView from "./components/userview/UserView";
import { Provider } from "react-redux";
import store from "./redux/store";
import "./App.css";
import Admin from "./components/admin/Admin";

/**
 * Main Page of the frontend. Include other components as a good practice :)
 * @returns App.js DOM element
 */
function App() {
  return (
    <Provider store={store}>
      <Router>
        <Switch>
          <Route path="/admin" component={Admin}/>
          <Route path="/map">
            <UserView/>
          </Route>
          <Route path="*">
            <Redirect to="/map"/>
          </Route>
        </Switch>
      </Router>
    </Provider>
  );
}

export default App;
