import React from "react";
import { BrowserRouter as Router, Switch, Route, useRouteMatch } from "react-router-dom";
import LoginForm from "./auth/LoginForm";
import LogoutForm from "./auth/LogoutForm";
import Dashboard from "./dashboard/Dashboard";
import SetupForm from "./setup/Setup";
import AdminNav from "./AdminNav";
import "./Admin.css"
/**
 * Main Page of the frontend. Include other components as a good practice :)
 * @returns App.js DOM element
 */
function Admin() {
  let { path, url } = useRouteMatch();
  return (
    <div className="z-[1000] flex flex-col h-full flex-shrink justify-start flex-grow-0 antialiased">
    <AdminNav/>
        <Switch>
            <Route exact path={`${path}/`} component={Dashboard}/>
            <Route path={`${path}/login`} component={LoginForm}/>
            <Route path={`${path}/logout`} component={LogoutForm}/>
            <Route path={`${path}/dashboard`} component={Dashboard}/>
            <Route path={`${path}/setup`} component={SetupForm}/>
        </Switch>
    </div>
  );
}

export default Admin;
