import React, {useRef, useEffect,useMemo} from "react";
import { updateMapData } from "../../../redux/mapSlice";
import {useSelector,useDispatch} from "react-redux";
import { Marker, useMap} from "react-leaflet";
import L from "leaflet";
import { LocationMarkerIcon } from "@heroicons/react/solid";
import ReactDOMServer from 'react-dom/server';



export default function PickLocationMarker(props){
	let pickLocationIcon = new L.divIcon({
	 html: ReactDOMServer.renderToString(<LocationMarkerIcon className="w-6 h-6 fill-blue-500"/>)
	});
		const adminPickingOnMapLocation = useSelector(state=>state.map.adminPickingOnMapLocation);
		const adminPickingOnMapState = useSelector(state=>state.map.adminPickingOnMapState);
		const dispatch = useDispatch();
		const map = useMap();
		const markerRef = useRef(null);
		const eventHandlers = useMemo(
			() => ({
				dragend() {
					const marker = markerRef.current
					if (marker != null) {
						const {lat, lng} = marker.getLatLng();
						dispatch(updateMapData({adminPickingOnMapLocation:{lat:lat, lng:lng}}))
					}
				},
			}),
			[],
		)
		useEffect(() => {
			if (adminPickingOnMapState==="pick" && !adminPickingOnMapLocation){
				const latlng = map.getBounds().getCenter();
				dispatch(updateMapData({adminPickingOnMapLocation:{lat:latlng.lat, lng:latlng.lng}}))

			}
		},[adminPickingOnMapState])

    return (
      <React.Fragment>
					{adminPickingOnMapLocation &&(
						<Marker
							icon={pickLocationIcon}
							draggable={true}
							eventHandlers={eventHandlers}
							ref={markerRef}
							position={adminPickingOnMapLocation}/>
					)}
      </React.Fragment>
    );
}