import { Tab } from "@headlessui/react";
import axios from "axios";
import React, { useState, useEffect } from "react";
import {NavLink, Switch, Route} from "react-router-dom";
import NotFound from "../notfound/NotFound";
import EnexPost from "./EnexPost";
import EntranceExitDetailForm from "./EntranceExitDetailForm"
import EntranceExitsList from "./EntranceExitsList";

export default function EntranceExits() {

  return (
    <div className="z-[1200] flex flex-col ">
        <div className="flex flex-col items-center justify-start h-full px-1">
            {/* Tabs */}
              <div className="flex p-1 space-x-1 text-center bg-gray-600/20 rounded-xl place-items-center">
                <NavLink
                    to="/admin/dashboard/entranceexits/newenex"
                    className={`text-slate-50 hover:bg-white/[0.12] hover:text-amaranth-400 w-full p-1 text-sm leading-5 font-semibol rounded-lg focus:outline-none focus:ring-2 ring-offset-2 ring-offset-amaranth-400 ring-white ring-opacity-60`}
                    activeClassName={`bg-amaranth-500 shadow ring-2`}
                    >
                    {/* className={`flex items-center justify-between  hover:text-gray-800 hover:font-bold  ${componentDisplayContent ==="newenex" ? "text-gray-800 text-xl font-bold" : "text-gray-400 text-lg"}`}> */}
                    {/* <i className="mr-2 fa-solid fa-circle-plus"></i> */}
                    <span className="tracking-wide truncate ">New Entrance/Exit</span>

                </NavLink>
                <NavLink
                    exact to="/admin/dashboard/entranceexits/"
                    className={`text-slate-50 hover:bg-white/[0.12] hover:text-amaranth-400 w-full p-1 text-sm leading-5 font-semibol rounded-lg focus:outline-none focus:ring-2 ring-offset-2 ring-offset-amaranth-400 ring-white ring-opacity-60`}
                    activeClassName={`bg-amaranth-500 shadow ring-2`}>
                      Existing Entrance/Exits
                </NavLink>
              </div>
              <div as="div" className="flex flex-col flex-grow w-full overflow-y-auto">
                <Switch>
                    <Route path="/admin/dashboard/entranceexits/newenex/"><EnexPost/></Route>
                    <Route exact path="/admin/dashboard/entranceexits/"><EntranceExitsList/></Route>
                    <Route path="/admin/dashboard/entranceexits/edit/:enexid(\d+)"><EntranceExitDetailForm/></Route>
                    <Route path="*"><NotFound/></Route>
                </Switch>
              </div>
            {/* <div className="flex flex-row items-center w-full gap-2 px-1 text-lg border-b justify-evenly border-slate-400">*/}

               {/* <div className="flex flex-col flex-grow w-full overflow-y-auto">
              {childContent(componentDisplayContent)}
               </div> */}

            {/* </div>  */}
            {/* Content (either Add New Enex or Existing Enex*/}

        </div>
    </div>
  );
}
