import React from "react";
import PassPost from "./PassPost";
import PassEdit from "./PassEdit";
import PassesList from "./PassesList";
import {NavLink, Switch, Route} from "react-router-dom";
import NotFound from "../notfound/NotFound";

export default function Passes() {
  return (
    <div className="z-[1200] flex flex-col ">
        <div className="flex flex-col items-center justify-start h-full px-1">
            {/* Tabs */}
            <div className="flex min-w-full p-1 space-x-1 text-center bg-gray-600/20 rounded-xl place-items-center">
                <NavLink
                    to="/admin/dashboard/passes/newpass"
                    className={`w-full p-1 text-sm leading-5 font-semibold hover:bg-white/[0.12] hover:text-amaranth-400 text-white rounded-lg focus:outline-none focus:ring-2 ring-offset-2 ring-offset-amaranth-400 ring-white ring-opacity-60`}
                    activeClassName={`bg-amaranth-500 shadow ring-2`}
                    >
                    <span className="tracking-wide truncate ">New Pass</span>
                </NavLink>
                <NavLink
                    exact to="/admin/dashboard/passes"
                    className={`w-full p-1 text-sm leading-5 font-semibold hover:bg-white/[0.12] hover:text-amaranth-400 text-white rounded-lg focus:outline-none focus:ring-2 ring-offset-2 ring-offset-amaranth-400 ring-white ring-opacity-60`}
                    activeClassName={`bg-amaranth-500 shadow ring-2`}>
                      Existing Passes
                </NavLink>
              </div>
              <div as="div" className="flex flex-col flex-grow w-full overflow-y-auto">
                <Switch>
                    <Route exact path="/admin/dashboard/passes/"><PassesList/></Route>
                    <Route path="/admin/dashboard/passes/newpass/"><PassPost/></Route>
                    <Route path="/admin/dashboard/passes/edit/:passid(\d+)"><PassEdit/></Route>
                    <Route path="*"><NotFound/></Route>

                </Switch>
              </div>
        </div>
    </div>
  );
}
