import React from "react";
import * as Tooltip from "@radix-ui/react-tooltip";
import { PencilAltIcon } from "@heroicons/react/outline";
import { Link } from "react-router-dom";
import { PlusIcon } from "@heroicons/react/solid";
export default function SensorEnexMiniAdd({ enexMetadata }) {
  return (
    <>
      {enexMetadata.sensor && ( //display sensor and a edit button if has sensor info
        <div className="flex flex-row justify-start w-full px-2 flex-nowrap">
          <Tooltip.Provider>
            <Tooltip.Root>
              <Tooltip.Trigger>
                <div className="inline-flex font-normal">
                  <span className="tracking-wide ">Sensor {enexMetadata.sensor.sensorid}</span>
                </div>
              </Tooltip.Trigger>
              <Tooltip.Content className="flex-col p-2 bg-white border rounded-lg shadow-4sides border-slate-700 text-slate-700">
                <div className="flex flex-col gap-1">
                  {Object.keys(enexMetadata.sensor).map(function (key, idx) {
                    return (
                      <span className="inline-block px-2 font-normal text-sm tracking-wide  transition transform duration-[700ms]">
                        {key}: {enexMetadata.sensor[key]}
                      </span>
                    );
                  })}
                </div>
                <Tooltip.Arrow className="fill-slate-200" offset={1} width={18} height={10} />
              </Tooltip.Content>
            </Tooltip.Root>
          </Tooltip.Provider>
          <Link to={`/admin/dashboard/sensors/edit/${enexMetadata.sensor.sensorid}`} className="w-4 h-4 mt-0.5 ml-1">
            <PencilAltIcon />
          </Link>
        </div>
      )}
      {!enexMetadata.sensor && ( //Let User add a sensor
        <div className="flex flex-row justify-start w-full px-2 flex-nowrap">
                <Link
                 to={{
                     pathname:`/admin/dashboard/sensors/newsensor/`,
                     state:{
                        defaultAddSensor:{
                           enid:enexMetadata.enid
                        }
                    }}}
                 className="inline-flex font-normal">
                  <PlusIcon className="w-3 h-3 mt-1"/>
                  <span className="tracking-wide ">Add a sensor</span>
                </Link>
        </div>
      )}
    </>
  );
}
