import axios from "axios";
import React from "react";
import SensorDetailForm from "./SensorDetailForm";
import SensorsList from "./SensorsList";
import SensorPost from "./SensorPost";
import {  Switch, Route, NavLink } from "react-router-dom";
import NotFound from "../notfound/NotFound";

export default function Sensors() {
  return (
    <div className="z-[1200] flex flex-col ">
        <div className="flex flex-col items-center justify-start h-full px-1">
            {/* Tabs */}
            <div className="flex min-w-full p-1 space-x-1 text-center bg-gray-600/20 rounded-xl place-items-center">
                <NavLink
                    to="/admin/dashboard/sensors/newsensor"
                    className={`w-full p-1 text-sm leading-5 font-semibold hover:bg-white/[0.12] hover:text-amaranth-400 text-white rounded-lg focus:outline-none focus:ring-2 ring-offset-2 ring-offset-amaranth-400 ring-white ring-opacity-60`}
                    activeClassName={`bg-amaranth-500 shadow ring-2`}
                    >
                    <span className="tracking-wide truncate ">New Sensor</span>
                </NavLink>
                <NavLink
                    exact to="/admin/dashboard/sensors"
                    className={`w-full p-1 text-sm leading-5 font-semibold hover:bg-white/[0.12] hover:text-amaranth-400 text-white rounded-lg focus:outline-none focus:ring-2 ring-offset-2 ring-offset-amaranth-400 ring-white ring-opacity-60`}
                    activeClassName={`bg-amaranth-500 shadow ring-2`}>
                      Existing Sensors
                </NavLink>
              </div>
              <div as="div" className="flex flex-col flex-grow w-full overflow-y-auto">
                <Switch>
                    <Route exact path="/admin/dashboard/sensors/"><SensorsList/></Route>
                    <Route path="/admin/dashboard/sensors/newsensor/"><SensorPost/></Route>
                    <Route path="/admin/dashboard/sensors/edit/:sensorid(\d+)"><SensorDetailForm/></Route>
                    <Route path="*"><NotFound/></Route>
                </Switch>
              </div>
        </div>
    </div>
  );
}
