import { Listbox, Transition } from '@headlessui/react'
import React, { Fragment} from "react";

export default function AddSelect(props){
    return <Listbox className="pt-5 pl-5 pr-5 w-100" value="1" onChange={props.onChange}>
                <div className="relative mt-1">
                <Listbox.Button className="relative py-2 pl-3 pr-10 text-left bg-white rounded-lg shadow-md cursor-default w-100 focus:outline-none focus-visible:ring-2 focus-visible:ring-opacity-75 focus-visible:ring-white focus-visible:ring-offset-orange-300 focus-visible:ring-offset-2 focus-visible:border-indigo-500 sm:text-sm">
                    <span className="block truncate">Add Graphs</span>
                    <span className="absolute inset-y-0 right-0 flex items-center pr-2 pointer-events-none">
                    <i className="fa-solid fa-chevron-down" />
                    </span>
                </Listbox.Button>
                <Transition
                    as={Fragment}
                    leave="transition ease-in duration-100"
                    leaveFrom="opacity-100"
                    leaveTo="opacity-0"
                >
                    <Listbox.Options className="z-[100] w-100 absolute py-1 mt-1 overflow-auto text-base bg-white rounded-md shadow-lg max-h-40 ring-1 ring-black ring-opacity-5 focus:outline-none sm:text-sm">
                    {props.options.map((option, optionIdx) => (
                        <Listbox.Option
                            key={optionIdx}
                            className={({ active }) =>
                                active ? 'text-amber-900 bg-amber-100 cursor-default select-none relative py-2 pl-10 pr-4' : 'cursor-default select-none relative py-2 pl-10 pr-4 text-gray-900'
                            }
                            value={option.id}
                            >
                                <span
                                    className="block font-normal truncate"
                                >
                                    {option.name}
                                </span>
                                <span className="absolute inset-y-0 left-0 flex items-center pl-3 text-amber-600">
                                        <i className="fa-solid fa-plus" />
                                    </span>

                        </Listbox.Option>
                    ))}
                    </Listbox.Options>
                </Transition>
                </div>
            </Listbox>
}