import React from "react";
import StatisticsLots from "./StatisticsLots"
import StatisticsSensors from "./StatisticsSensors"



export default class Statistics extends React.Component{

    constructor(props){
        super(props);
        this.state = {
            tab: 'Lots'
        };
    }

    handleMenuClick(option){
        this.setState({
            tab: option
        });
    }

    render(){
        const statsBarList = {
            Lots: <StatisticsLots />,
            Sensors: <StatisticsSensors />
        };
        const selectedStyle = {border:"black", color:"black"};
        const unselectedStyle = {border:"gray", color:"gray"};
        let lotsStyle = this.state.tab === 'Lots' ? selectedStyle : unselectedStyle;
        let sensorsStyle = this.state.tab === 'Sensors' ? selectedStyle : unselectedStyle;
        return <div><nav class="relative
                                w-full
                                inline-flex flex-wrap
                                items-center
                                justify-between
                                py-4
                                bg-gray-100
                                text-gray-500
                                hover:text-gray-700
                                focus:text-gray-700
                                shadow-lg
                                navbar navbar-expand-lg navbar-light
                                ">
                        <div class="container-fluid w-full inline-flex flex-wrap items-center justify-between px-6">
                            <button class="navbar-toggler
                                            text-gray-500
                                            border-0
                                            hover:shadow-none hover:no-underline
                                            py-2
                                            px-2.5
                                            bg-transparent
                                            focus:outline-none focus:ring-0 focus:shadow-none focus:no-underline"
                                    type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                            </button>
                            <div    class=" collapse
                                        navbar-collapse flex-row
                                        flex-grow items-center"
                                    id="navbarSupportedContent">
                                    <div class="inline-flex pr-8 text-black text-lg">Statistics</div>
                                    {/*<!-- Left links -->*/}
                                    <ul class="navbar-nav inline-flex flex-row pl-0 list-style-none mr-auto">
                                        <li class="nav-item pr-4 inline">
                                            <button onClick={()=>this.handleMenuClick('Lots')}
                                                    style={lotsStyle}
                                                    className={`border-b-4
                                                                hover:border-black
                                                                hover:text-gray-700
                                                                focus:text-gray-700
                                                                p-0`}>Lots</button>
                                        </li>
                                        <li class="nav-item pr-4 inline">
                                            <button onClick={()=>this.handleMenuClick('Sensors')}
                                                    style={sensorsStyle}
                                                    className={`border-b-4
                                                                hover:border-black
                                                                hover:text-gray-700
                                                                focus:text-gray-700
                                                                p-0`}>Sensors</button>
                                        </li>
                                    </ul>
                                    {/*<!-- Left links -->*/}
                            </div>
                            {/*<!-- Collapsible wrapper -->*/}
                        </div>
                    </nav>
                <div>
                {statsBarList[this.state.tab]}
            </div>
        </div>
    }
}