import React, { Fragment, useEffect, useState } from "react";
import OneDayPercent from "./OneDayPercent";
import MultiDayPercent from "./MultiDayPercent";
import AddSelect from "./AddSelect";

const graphIds = {ONE_DAY_PERCENT:1,
                  MULTI_DAY_PERCENT:2};

const graphs = [{name: "One Day Percentage",
                 id: graphIds.ONE_DAY_PERCENT},
                 {name: "Multi Day Percentage",
                 id: graphIds.MULTI_DAY_PERCENT}];

export default function StatisticsLots(props){

    const [selectedGraphs, setSelectedGraphs] = useState([graphIds.ONE_DAY_PERCENT,
                                                          graphIds.MULTI_DAY_PERCENT])

    function handleClose(idx){
        var newGraphs = selectedGraphs.slice();
        newGraphs[idx] = null;
        setSelectedGraphs(newGraphs);
    }

    function handleAddGraph(graphId){
        setSelectedGraphs(selectedGraphs.concat([graphId]));
    }

    // setSelectedGraphs([<OneDayPercent onClose={handleClose}/>]);

    return <div className="flex flex-col">
                <AddSelect options={graphs} onChange={handleAddGraph}/>
                <div class="grid xl:grid-cols-1 2xl:grid-cols-2 gap-5 p-5">{selectedGraphs.map((graphId, selectedIdx)=>{
                    switch (graphId){
                        case graphIds.ONE_DAY_PERCENT:
                            return <OneDayPercent onClose={handleClose} idx={selectedIdx} />;
                            break;
                        case graphIds.MULTI_DAY_PERCENT:
                            return <MultiDayPercent onClose={handleClose} idx={selectedIdx} />;
                            break;
                    }
                })}
                </div>
            </div>
}