import { useState, useEffect } from "react";
export default function BookmarkButton({ lotid }) {
  // function check_if_bookmarked(lotid){
  //     if (JSON.parse(localStorage.getItem("lot_bookmarks"))[lotid] == null){
  //         return false;
  //     }else{
  //         return JSON.parse(localStorage.getItem("lot_bookmarks"))[lotid];
  //     }
  // }

  const [isBookmarked, setIsBookmarked] = useState();
  const [shouldRefresh, setShouldRefresh] = useState();
  useEffect(() => {
    let bookmarks = JSON.parse(localStorage.getItem("lot_bookmarks"));
    if (bookmarks) setIsBookmarked(bookmarks[lotid]);
  }, [shouldRefresh, lotid]);

  const handleBookmark = (e) => {
    e.cancelBubble = true;
    if (e.stopPropagation) e.stopPropagation();
    let bookmarks = JSON.parse(localStorage.getItem("lot_bookmarks"));
    //if bookmarks JSON doesn't exist, we have to make it:
    if (!bookmarks) bookmarks = {};
    //set entry to isBookmarked
    bookmarks[lotid] = bookmarks[lotid] ? false : true;
    localStorage.setItem("lot_bookmarks", JSON.stringify(bookmarks));
    setShouldRefresh(shouldRefresh ? false : true);
  };
  return (
    <button
      className={
        isBookmarked ? "bg-yellow-400/20 border-yellow-300 border  rounded-full w-8 h-8 place-content-center shac" : "border-blue-400 border  rounded-full w-8 h-8 place-content-center shac"
      }
      onClick={(e) => handleBookmark(e)}
    >
      <i
        className={
          isBookmarked ? "fa-solid text-yellow-400/80 fa-bookmark text-base  transform transition-all duration-300 ease-linear" : "fa-bookmark text-base  transform transition-all duration-300 ease-linear fa-regular text-blue-400"
        }
      ></i>
    </button>
  );
}
