import LotList from "./LotList";
import React, {useState, useEffect} from "react";
import {useSelector} from "react-redux";
export default function BookmarkList() {
    const [list, setList ] = useState();
    const sortedLots = useSelector((state) => state.map.nearbyLots || []);
    const allLots = useSelector((state) => state.map.lots || []);
    useEffect(()=>{
      if (list) return;
      if (!localStorage.getItem("lot_bookmarks"))
        setList([]);
      else {
        let bookmarkedLotIds = Object.keys(Object.fromEntries(Object.entries(JSON.parse(localStorage.getItem("lot_bookmarks"))).filter(([lotid, isbookmarked])=>isbookmarked))).map((d) => parseInt(d));
        let bookmarksListData = [];
        if (sortedLots && sortedLots.length > 0){
          bookmarksListData = sortedLots.filter((d) => bookmarkedLotIds.includes(d.lot.lotid));
          setList(bookmarksListData);
        }
        else if (allLots && allLots.length > 0) {
          bookmarksListData = allLots.filter((d) => bookmarkedLotIds.includes(d.lot.lotid));
          setList(bookmarksListData);
        }
      }
    },[sortedLots, allLots])
    return (
      <>
      {list && <LotList lotlist={list}  whichComponent={"bookmarks"}/>}
      </>
    )
};