import axios from "axios";
import {useParams} from "react-router-dom";
import React, {useState, useEffect} from "react";
import LotList from "./LotList";
import {getString} from "../../../utils/search";
import { useSelector, useDispatch } from "react-redux";

export default function  SearchList(){
    const {terms, lat, lng} = useParams();
    const [list, setList ] = useState();
    const Toggles = useSelector((state) => state.filterToggles.Toggles);

    useEffect(() => {
      const filters = getString(Toggles);
      let url = `${process.env.REACT_APP_API_URL}/api/lotsearch/${filters}/${terms}`;
      if (lat && lng) {
        url = `${process.env.REACT_APP_API_URL}/api/lotsearch/${lat}/${lng}/${filters}/${terms}`;
      }
      const getConfig = {
        url: url,
        method: "GET",
        headers: {
          "Content-Type": "application/json",
        },
      };
      axios(getConfig)
      .then((response) => {
        setList(response.data);
      })
      .catch((error) => {
        console.error(error);
      });
    },[terms, lat, lng, Toggles]);

    return (
      <>
        {list&& <LotList lotlist={list} whichComponent={"search"}/>}
      </>

    )

  }