import { useEffect } from 'react';
import L, { DomEvent } from 'leaflet';
import "./Legend.css";


function Legend({ map }) {
  useEffect(() => {
    if (map) {
      if (L.DomUtil.get("color-legend") === null) {
        const legend = L.control({ position: "topleft" });

        legend.onAdd = () => {
          // if (L.DomUtil.get("color-legend"))
          const div = L.DomUtil.create("div", "info legend");
          div.id = "color-legend";
          div.innerHTML =
            'Open spots: <i style="color:#60d394" class="fas fa-circle"></i> Many ' +
            '<i style="color:#ffd97d" class="fas fa-circle"></i> Some ' +
            '<i style="color:#ee6055" class="fas fa-circle"></i> Few ';
          return div;
        };

        legend.addTo(map);
      }

    }
  }, [map]);
  return null;
}

export default Legend