import { useState } from 'react'
import { Switch } from '@headlessui/react'

function toggleLegend() {
    let color_legend = document.getElementById("color-legend");
    if (color_legend.style.display === 'none') {
        color_legend.style.display = '';
    } else {
        color_legend.style.display = 'none';
    }
};

function LegendToggle() {
    const [enabled, setEnabled] = useState(true)

    return (<>
    Lot Color Legend
        <Switch
            checked={enabled}
            onChange={e => { setEnabled(e); toggleLegend() }}
            className={enabled ? 'bg-[#428be7] relative inline-flex items-center h-6 rounded-full w-11 float-right' : 'bg-gray-200 relative inline-flex items-center h-6 rounded-full w-11 float-right'
                }
        >
            <span className="sr-only">Toggle Map Legend</span>
            <span
                className={
                    enabled ? 'translate-x-6 inline-block w-4 h-4 transform bg-white rounded-full float-right' : 'translate-x-1 inline-block w-4 h-4 transform bg-white rounded-full float-right'
                    }
            />
        </Switch>
    </>
    )
}

export default LegendToggle;