import {createSlice} from '@reduxjs/toolkit';

export const actionBarSlice = createSlice({
    name: 'actionBar',
    initialState:{
        showing: false,
        componentToLoad: "",
        componentDisplayContent:"",
    },
    reducers: {
        showActionBar: (state, action)=>{
            state.showing = true;
            state.componentToLoad = action.payload.componentToLoad;
            state.componentDisplayContent = action.payload.componentDisplayContent;
        },
        hideActionBar: (state)=>{
            state.showing = false;
            state.componentToLoad = "";
            state.componentDisplayContent = "";
        },

    }
});

export const {showActionBar, hideActionBar} = actionBarSlice.actions;
export default actionBarSlice.reducer;