import {createSlice} from '@reduxjs/toolkit';
import { stackOffsetExpand } from 'd3';

function getTogglesOrDefault(){
    const Toggles = localStorage.getItem('pass-toggles');
    if (!Toggles){
        return {};
    }
    return JSON.parse(Toggles);
}

export const filterTogglesSlice = createSlice({
    name: 'filterToggles',
    initialState:{
        Toggles: getTogglesOrDefault()
    },
    reducers: {
        clearToggles:(state)=>{
            state.Toggles = {};
        },
        showOnly: (state, {payload})=>{
            for (const pass of Object.keys(state.Toggles)){
                state.Toggles[pass] = false;
            }
            state.Toggles[payload] = true;
            return state;
        },
        showAll: (state)=>{
            for (const pass of Object.keys(state.Toggles)){
                state.Toggles[pass] = true;
            }
            return state;
        },
        showPass: (state, {payload})=>{
            state.Toggles[payload] = true;
        },
        hidePass: (state, {payload})=>{
            state.Toggles[payload] = false;
        },
    }
});

export const {clearToggles, showOnly, showAll, showPass, hidePass} = filterTogglesSlice.actions;
export default filterTogglesSlice.reducer;


