import {createSlice} from '@reduxjs/toolkit';

// display: "" or "none"  ==> not showing anything
// display: "half"  ==> showing a lot detail on bottom half of screen
// display: "full"
// componentToLoad: "" or "list" => show list
// componentToLoad: "nearby" => show nearby list
// componentToLoad: "3", "92", => show lot 3 or 92
export const userViewSlice = createSlice({
    name: 'lotSelect',
    initialState:{
        display: "",
        componentToLoad: "",
    },
    reducers: {
        showFull: (state, action)=>{
            state.display = "full";
            if (action.payload?.componentToLoad)
            state.componentToLoad = action.payload.componentToLoad;
            state.transitionEnd = false;

        },
        showHalf: (state, action)=>{
            state.display = "half";
            if (action.payload?.componentToLoad)
            state.componentToLoad = action.payload.componentToLoad;
            state.transitionEnd = false;

        },
        hideLotSelect: (state)=>{
            state.display= "";
            state.componentToLoad = "";
            state.transitionEnd = false;

        },
        showComponent:(state, action)=>{
            state.componentToLoad = action.payload.componentToLoad;
            state.transitionEnd = true;
        },
        setTransitionEnd: (state, action)=>{
            state.transitionEnd = action.payload.transitionEnd;
        }

    }
});

export const {showFull, hideLotSelect, showHalf, showComponent,setTransitionEnd} = userViewSlice.actions;
export default userViewSlice.reducer;
