import {createSlice} from '@reduxjs/toolkit';

export const mapSlice = createSlice({
    name: 'map',
    initialState:{
        lotPasses: {},
        lotData: [],
        lotAndBuildingData: [],
        sensorData: [],
        enexData:[],
        lotStallsRemaining: {},
        geoJsonData:{},
        allLots:[],
        currentLocation: undefined,
        passes: []
    },
    reducers: {
        updateMapData: (state, {payload})=>{
            return{
                ...state,
                ...payload
            }
        },
        updateLotData: (state, {payload})=>{
            return{
                ...state,
                lotData:payload
            }
        },
        updateLotAndBuildingData: (state, {payload})=>{
            return{
                ...state,
                lotAndBuildingData:payload
            }
        },
        updateSensorData: (state, {payload})=>{
            return{
                ...state,
                sensorData:payload
            }
        },
        updateEnexData: (state, {payload})=>{
            return{
                ...state,
                enexData:payload
            }
        },
    }
});

export const {updateMapData, updateLotData, updateLotAndBuildingData, updateSensorData, updateEnexData} = mapSlice.actions;
export default mapSlice.reducer;