import { configureStore } from "@reduxjs/toolkit";
import menuToggleReducer from "./menuSlice";
import actionBarReducer from "./actionBarSlice";
import lotSelectReducer from "./lotSelectSlice";
import mapReducer from "./mapSlice";
import filterTogglesReducer from "./filterSlice";

function saveToLocalStorage(state){
  localStorage.setItem('pass-toggles', JSON.stringify(state.filterToggles.Toggles));
}

const store = configureStore({
  reducer: {
    menuToggle: menuToggleReducer,
    filterToggles: filterTogglesReducer,
    actionBar: actionBarReducer,
    lotSelect: lotSelectReducer,
    map: mapReducer
  },
});

store.subscribe(()=>saveToLocalStorage(store.getState()))

export default store;