from selenium.webdriver.common.keys import Keys

# host = "54.165.132.99"
host = "localhost"

#     # manually set location for chromedriver
#     self.driver.execute_cdp_cmd(
#         "Emulation.setGeolocationOverride", {
#             "latitude": 40.759751449559715,
#             "longitude": -111.87541906920865,
#             "accuracy": 100
#         })

def admin_login(py):
    py.visit(f"http://{host}:3000/admin")
    py.get("input[name='username']").type("admin")
    py.get("input[name='password']").type("admin", Keys.ENTER)
    

class TestCommuterView:
    def test_site_loads(self, py):
        py.visit(f"http://{host}:3000")
        assert py.contains("Leaflet")

    def test_search_for_est(self, py):
        py.visit(f"http://{host}:3000")

        # searching for West Stadium
        py.get("#search-input").type("est", Keys.ENTER)
        # check that first search result contains string
        py.wait(use_py=True).sleep(2)
        assert "est" in py.getx('//*[@id="LotsList"]/div/div/div[1]/div[1]/div[1]/div[1]').text()

    def test_lot_directions_btn(self, py):
        py.visit(f"http://{host}:3000")
        assert py.getx('//*[@id="LotsList"]/div/div/div[1]/div[1]/div[4]/a').get_attribute('href').startswith("https://www.google.com/maps/dir/?api=1&")

    def test_lot_bookmark(self, py):
        py.visit(f"http://{host}:3000")
        first_lot_bookmark_btn = py.getx('//*[@id="LotsList"]/div/div/div[1]/div[2]/div/button/i')
        first_lot_bookmark_btn.click()
        py.wait(use_py=True).sleep(2)
        # the following is true if bookmarked, false if not
        bookmarked = "text-yellow-400" in first_lot_bookmark_btn.get_attribute("class")

        # navigate to list of bookmarks
        py.getx('//*[@id="LotsList"]/div/div/div[1]/div[2]/div').click()
        # check that bookmark status has changed
        py.wait(use_py=True).sleep(2)
        assert bookmarked == ("text-yellow-400" in py.getx('//*[@id="root"]/div/div/div[4]/div[2]/div/div[3]/div/button/i').get_attribute("class"))


class TestAdminView:
    def test_site_loads(self, py):
        py.visit(f"http://{host}:3000/admin")
        assert py.contains("Admin Login")

    def test_admin_can_login(self, py):
        admin_login(py)
        assert py.contains("Leaflet")
        assert py.url().endswith("/dashboard")
    
    def test_lot_edit(self, py):
        admin_login(py)
        py.contains("Parking Areas").click()
        py.getx('//*[@id="root"]/div/div[2]/div/div[3]/div/div[2]/div/div[2]/div/a[1]/div[2]/button[2]').click()
        
        # get the current lot name
        lot_title_elt = py.getx('//*[@id="root"]/div/div[2]/div/div[3]/div/div[2]/div/div[2]/div/div[2]/div[1]/div')
        lot_title = lot_title_elt.text()
        
        # edit the lot title
        lot_title_elt.type(Keys.END, "TEST")
        py.getx('//*[@id="root"]/div/div[2]/div/div[3]/div/div[2]/div/div[2]/div/div[2]/div[1]/button/i').click()
        py.wait(use_py=True).sleep(2)

        # refresh
        py.visit(py.url())
        lot_title_elt = py.getx('//*[@id="root"]/div/div[2]/div/div[3]/div/div[2]/div/div[2]/div/div[2]/div[1]/div')
        assert lot_title_elt.text() == lot_title + "TEST"
        
        # remove lot name changes 
        lot_title_elt = py.getx('//*[@id="root"]/div/div[2]/div/div[3]/div/div[2]/div/div[2]/div/div[2]/div[1]/div')
        lot_title_elt.type(Keys.END, Keys.BACKSPACE, Keys.BACKSPACE, Keys.BACKSPACE, Keys.BACKSPACE)
        py.getx('//*[@id="root"]/div/div[2]/div/div[3]/div/div[2]/div/div[2]/div/div[2]/div[1]/button/i').click()
        assert lot_title_elt.text() == lot_title
    
    def test_lot_create_and_delete(self, py):
        admin_login(py)
        py.contains("Parking Areas").click()
        py.contains("New Lot").click()
        
        # fill in new lot info
        py.get("#lotid").type("999999")
        py.get("#name").type("Selenium Lot")
        py.get("#latitude").type("1")
        py.get("#longitude").type("1")
        py.contains("Submit").click()

        # check that new lot was created
        py.contains("Existing Lots").click()
        assert py.contains("Selenium Lot")
